(
  cd /usr/src/openoffice-autobuilder-multilang/builder
  ./openoffice-multilang.SlackBuild --cleanup
  # fix for speed sort of removepkg and upgradepkg
  # http://www.slacky.eu/forum/viewtopic.php?t=19324
  if [ $? = 0 ]; then
     export LC_ALL=C #for slackware <= 12.0 with old pkgtools-12.0
     dir_pkg_to_install=$(cat openoffice-multilang.SlackBuild | sed "s/#.*//g" | grep "TMP=" | cut -d "=" -f 2)
     (
      cd $dir_pkg_to_install
      pkg_to_install="$(ls -t | grep -E "^openoffice-.+-[0-9]+\.[0-9]+\.[0-9]+.*-.+-.+\.(tgz|txz|tlz|tbz|tar\.gz|tar\.xz|tar\.lzma|tar\.bz2)$" | head --lines=1)"
      upgradepkg --reinstall --install-new --verbose $pkg_to_install
     )
     export LC_ALL=\$LANG
  else
     echo "[STOP] openoffice's slackbuild termination error"
  fi
)


